Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## proscene
Enum PSAxisPlaneConstraint.Type

    java.lang.Object
      java.lang.Enum<PSAxisPlaneConstraint.Type>
          proscene.PSAxisPlaneConstraint.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PSAxisPlaneConstraint.Type>

Enclosing class:
  PSAxisPlaneConstraint

    public static enum PSAxisPlaneConstraint.Type

extends java.lang.Enum<PSAxisPlaneConstraint.Type>

Type lists the different types of translation and rotation constraints that are available.

It specifies the meaning of the constraint direction (see `PSAxisPlaneConstraint.translationConstraintDirection()` and `PSAxisPlaneConstraint.rotationConstraintDirection()`): as an axis direction or a plane normal. `FREE` means no constraint while `FORBIDDEN` completely forbids the translation and/or the rotation. Attention: The `PLANE` Type is not valid for rotational constraint.

New derived classes can use their own extended `enum` for specific constraints.

Enum Constant Summary
`AXIS`
`FORBIDDEN`
`FREE`
`PLANE`

Method Summary
`static PSAxisPlaneConstraint.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PSAxisPlaneConstraint.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FREE

    public static final PSAxisPlaneConstraint.Type FREE

### AXIS

    public static final PSAxisPlaneConstraint.Type AXIS

### PLANE

    public static final PSAxisPlaneConstraint.Type PLANE

### FORBIDDEN

    public static final PSAxisPlaneConstraint.Type FORBIDDEN

Method Detail

### values

    public static PSAxisPlaneConstraint.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PSAxisPlaneConstraint.Type c : PSAxisPlaneConstraint.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PSAxisPlaneConstraint.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008